/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.enablement.learningpath.model.api;

import org.apache.sling.api.resource.PersistenceException;
import org.apache.sling.commons.json.JSONArray;
import org.apache.sling.commons.json.JSONException;

import com.adobe.cq.social.scf.SocialCollectionComponent;

public interface EnablementLearningPathResources extends SocialCollectionComponent {

    public static final String RESOURCE_TYPE = "social/enablement/components/hbs/model/learningpath/resources";

    /**
     * @param referencedResources
     * @throws JSONException
     * @throws PersistenceException
     */
    public void addResources(JSONArray referencedResources) throws JSONException, PersistenceException {
	}

}
