/*******************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *******************************************************************************/
package com.adobe.cq.social.enablement.reporting.model.api;

public interface EnablementResourceAggregateReportModel extends EnablementResourceReportModel {

    public static final String RESOURCE_TYPE = "social/enablement/components/hbs/model/resource/report/aggregate";

    /**
     * @return resource publish status
     */
    public String getPublishStatus() {
		return null;
	}

    /**
     * @return resource view count
     */
    public long getViewCount() {
		return 0L;
	}

    /**
     * @return resource play count
     */
    public long getPlayCount() {
		return 0L;
	}

    /**
     * Gets the average rating for this resource
     * @return average rating
     */
    public double getAverageRating() {
		return 0.0d;
	}

    /**
     * Gets the width to specify for the rating stars
     * @return rating width
     */
    public double getRatingWidth() {
		return 0.0d;
	}

    /**
     * @return resource rating count
     */
    public long getRatingCount() {
		return 0L;
	}

    /**
     * @return resource comment count
     */
    public long getCommentCount() {
		return 0L;
	}

    /**
     * @return resource asset type
     */
    public String getResourceAssetType() {
		return null;
	}

    /**
     * @return resource asset size
     */
    public long getResourceAssetSize() {
		return 0L;
	}

    /**
     * @return site id
     */
    public String getSiteId() {
		return null;
	}

    /**
     * @return resource asset id
     */
    public String getAssetId() {
		return null;
	}

    /**
     * @return site id
     */
    public long getEnrollmentCount() {
		return 0L;
	}

    /**
     * @return resource publish date
     */
    public String getPublishDate() {
		return null;
	}

    /**
     * @return resource publisher name
     */
    public String getPublisherName() {
		return null;
	}

    /**
     * @return resource alias
     */
    public String getResourceAlias() {
		return null;
	}
}
