/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.group.client.api;

import org.osgi.annotation.versioning.ProviderType;

@ProviderType
public interface CommunityGroupCollectionConfiguration {

    boolean isPaginationEnabled() {
		return false;
	}

    boolean isShallowGroup() {
		return false;
	}

    int getPageSize() {
		return 0;
	}

    void setPaginationEnabled(boolean paginationEnabled) {
	}

    void setShallowGroup(boolean shallowGroup) {
	}

    void setPageSize(int pageSize) {
	}
}
