/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.members.endpoints;

import com.adobe.cq.social.scf.SocialComponent;

public interface CommunityMembersTunnelValidator extends SocialComponent {
    String RESOURCE_TYPE = "social/members/components/hbs/tunnelvalidator";

    /**
     * Check if tunnel service is enabled.
     * @return true - if tunnel service is enabled, false - otherwise.
     */
    boolean isTunnelEnabled() {
		return false;
	}
}
