/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.messaging.client.api;

import javax.annotation.Nonnull;

/**
 *
 */
public interface FormData {

    /**
     * @return Name of the property.
     */
    @Nonnull
    String getPropertyName() {
		return null;
	}

    /**
     * @return id of form element which represents this property of message.
     */
    @Nonnull
    String getElementID() {
		return null;
	}

    /**
     * @return value of the property.
     */
    @Nonnull
    String getValue() {
		return null;
	}
}
