/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/
package com.adobe.cq.social.moderation.services.api;

import org.apache.sling.api.resource.Resource;

import com.adobe.cq.social.moderation.dashboard.api.CommunitiesContentFragment;
import com.adobe.cq.social.scf.OperationException;

public interface CommunitiesContentFragmentService {

    /**
     * Create a content fragment in the DAM using the specified UGC resource.
     * @param ugcResource
     */
    CommunitiesContentFragment createFragment(Resource ugcResource) throws OperationException {
		return null;
	}

    /**
     * Flag indicating whether the service is enabled or disabled.
     * @return true iff service is enabled
     */
    boolean isEnabled() {
		return false;
	}
}
