/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.notifications.client.api;

import org.apache.sling.api.resource.Resource;

import com.adobe.cq.social.notifications.api.Notification;
import com.adobe.cq.social.scf.ClientUtilities;
import com.adobe.cq.social.scf.SocialComponent;
import com.adobe.cq.social.scf.SocialComponentFactory;

public interface SocialNotificationComponentFactory extends SocialComponentFactory {
    /**
     * Creating an activity component from the specified {@link Notification}
     * @param resource
     * @param clientUtils
     * @param notification
     * @return
     */
    SocialComponent getSocialComponent(final Resource resource, final ClientUtilities clientUtils,
        final Notification notification) {
		return null;
	}

}