/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
/**
 * AEM Communities enables the development of a relationship with site visitors that informs through
 * blogs, Q&amp;A, and event calendars, while gaining insights through forums, comments
 * and other community content, often referred to as user generated content (UGC).
 *
 * Further, AEM Communities allows moderation by trusted members in the publish environment, social login
 * with Twitter and Facebook, inline translation of community content, creation of Community Groups from
 * the published Community Site, file sharing, and activity streams.
 *
 * Developers can customize the site by extending and overriding component APIs.
 * @see <a href="http://docs.adobe.com/docs/en/aem/6-1/develop/communities.html" target="_top">http://docs.adobe.com/docs/en/aem/6-1/develop/communities.html</a>
 *
 */
package com.adobe.cq.social;