/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.srp.internal;

import java.util.Map;

/**
 * A cache for facet data.
 */
public class FacetCache extends AbstractCache<String, Map<String, Map<String, Integer>>> {

    private static final long serialVersionUID = 1L;

    public FacetCache() {
        super();
    }

    /**
     * @param concurrencyLevel cache concurreny level
     * @param cacheStartSize starting cache size
     * @param cacheMaxSize the initial size of the cache.
     * @param ttl expiration time for cache entries in milliseconds
     */
    public FacetCache(final int concurrencyLevel, final int cacheStartSize, final int cacheMaxSize, final long ttl) {
        super(concurrencyLevel, cacheStartSize, cacheMaxSize, ttl);
    }

    @Override
    public void merge(final String key, final Map<String, Map<String, Integer>> doc,
        final Map<String, Map<String, Integer>> returnedVal) {
		}

}
