/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.subscriptions.client.api;

import java.util.List;

import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.Resource;

import com.adobe.cq.social.scf.SocialComponent;
import com.adobe.cq.social.scf.SocialComponentFactory;
import com.adobe.granite.socialgraph.Relationship;

public interface SubscriptionCollectionComponentFactory extends SocialComponentFactory {

    /**
     * Creating SubscriptionCollectionComponent from the specified {@link Relationship}
     * @param resource
     * @param request
     * @param subscriptions
     * @return
     */
    SocialComponent getSocialComponent(final Resource resource, final SlingHttpServletRequest request,
        final List<Relationship> subscriptions) {
		return null;
	}
}