/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.tally;

import com.adobe.cq.social.tally.client.api.Like;
import com.adobe.cq.social.tally.client.api.LikingSocialComponent;
import com.adobe.cq.social.tally.client.endpoints.TallyOperationsService;

/**
 * A tally that keeps track of Votes.
 * @deprecated @since AEM 6.0. Use {@link TallyOperationsService} and {@link LikingSocialComponent} instead.
 */
@Deprecated
public interface Liking extends Tally<Like> {
    public static final String LIKING_RESOURCE_TYPE = "social/tally/components/liking";
    public static final String USER_ID = "userIdentifier";

    /**
     * Gets the number of positive user responses.
     * @return the number of positive votes
     */
    public long getLikeCount() {
		return 0L;
	}

    /**
     * @return the URL to post the user responses to
     */
    public String getLikeURL() {
		return null;
	}
}
