/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.auth.saml.model;

import com.adobe.granite.auth.saml.configuration.SpConfiguration;

import java.util.Calendar;
import java.util.Collections;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Assertion {
    private String version;
    private Calendar issueInstant;
    private String id;
    private Issuer issuer;
    private Subject subject;
    private Calendar notBefore;
    private Calendar notOnOrAfter;
    private LinkedList<String> audienceRestrictions;
    private boolean signatureValid;
    private LinkedList<AuthnStatement> authnStatements;

    /**
     * default log
     */
    private final Logger log = LoggerFactory.getLogger(getClass());

    private Map<String, Attribute> attributeStatements;

    public void addAttribute(Attribute attribute) {
	}

    public Map<String, Attribute> getAttributes() {
		return null;
	}

    /**
     * Check if the following properties of the assertion are valid
     * - target audience
     * - time conditions
     * - signature
     *
     * @param spConfiguration The configuration of this service provider
     * @return true if this assertion is valid for this SP
     */
    public boolean isValid(SpConfiguration spConfiguration) {
		return false;
	}

    public Calendar getNotBefore() {
		return null;
	}

    public void setNotBefore(Calendar notBefore) {
	}

    public Calendar getNotOnOrAfter() {
		return null;
	}

    public void setNotOnOrAfter(Calendar notOnOrAfter) {
	}

    public void addAudienceRestriction(String audience) {
	}

    public boolean isSignatureValid() {
		return false;
	}

    public void setSignatureValid(boolean signatureValid) {
	}

    public Subject getSubject() {
		return null;
	}

    public void setSubject(Subject subject) {
	}

    public LinkedList<AuthnStatement> getAuthnStatements() {
		return null;
	}

    public void addAuthnStatement(AuthnStatement authnStatement) {
	}
}
