/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.workflow.metadata;

import java.lang.reflect.Array;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;

/**
 * A simple value map implementation, with limited conversion capabilities
 */
public class SimpleMetaDataMap extends HashMap<String, Object> implements MetaDataMap {

    private static final long serialVersionUID = 1360764073724170383L;

    /**
     * Supports automatic meta data conversion based on the given type.
     * 
     * @see com.adobe.granite.workflow.metadata.MetaDataMap#get(java.lang.String,
     *      java.lang.Class)
     */
    public <T> T get(String name, Class<T> type) {
		return null;
	}

    /**
     * Supports automatic meta data conversion, based on the type of the default
     * value.
     * 
     * @see com.adobe.granite.workflow.metadata.MetaDataMap#get(java.lang.String,
     *      java.lang.Object)
     */
    @SuppressWarnings("unchecked")
    public <T> T get(String name, T defaultValue) {
		return null;
	}

    @SuppressWarnings("unchecked")
    private <T> T convert(Object obj, Class<T> type) {
		return null;
	}

    private <T> T[] convertToArray(Object obj, Class<T> type) {
		return null;
	}

}
