/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.analytics.testandtarget;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * The <tt>PerformanceReportRequest</tt> encapsulates all needed data for a
 * {@link TestandtargetService#getPerformanceReport(com.day.cq.wcm.webservicesupport.Configuration, PerformanceReportRequest)}
 * call
 *
 */
public class PerformanceReportRequest {

    private SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd'T'HH");

    private long campaignId;
    private Date start;
    private Date end;
    private String successMetric;
    private String step;

    /**
     * Creates a new instance for the specified campaignId
     * 
     * @param campaignId the id of the Test&amp;Target campaign
     * @return a new request instance
     */
    public static PerformanceReportRequest forCampaignId(long campaignId) {
		return null;
	}

    public PerformanceReportRequest setStart(Date start) {
		return null;
	}

    public PerformanceReportRequest setEnd(Date end) {
		return null;
	}

    public PerformanceReportRequest setSuccessMetric(String successMetric) {
		return null;
	}

    public PerformanceReportRequest setStep(String step) {
		return null;
	}

    public String getSuccessMetric() {
		return null;
	}

    public String getStep() {
		return null;
	}

    public long getCampaignId() {
		return 0L;
	}

    public Date getStart() {
		return null;
	}

    public Date getEnd() {
		return null;
	}

    /**
     * Gets the TnT report parameter map for this request
     *
     * @return a {@code Map} containing the report request parameters
     */
    public Map<String, String> getParameters() {
		return null;
	}

    private void addParameter(Map<String, String> destMap, String key, Object value) {
	}
}
