/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.audit;

import java.util.Set;

public interface AuditLogPurgeRule {

    // constants

    public static final String NAME = "auditlog.rule.name";

    public static final String TYPES = "auditlog.rule.types";

    public static final String CONTENT_PATH = "auditlog.rule.contentpath";

    public static final String MINIMUM_AGE = "auditlog.rule.minimumage";

    public static final int AUDIT_DEFAULT_DAYS = 60;

    // methods

    String getName() {
		return null;
	}

    Set<String> getEventTypes() {
		return null;
	}

    String getContentPath() {
		return null;
	}

    int getMinimumAge() {
		return 0;
	}

}
