/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.commons.thumbnail;

import javax.jcr.Node;


/**
 * Provider that returns registered predicates.
 */
public interface ThumbnailProviderManager {

    /**
     * Returns the registered thumbnail provider.
     *
     * @param node node for which a thumbnail is requested
     * @return thumbnail provider or <code>null</code>
     */
    ThumbnailProvider getThumbnailProvider(Node node) {
		return null;
	}
}
