/*
 * Copyright 1997-2011 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.dam.handler.standard.msoffice;

import com.day.cq.dam.api.Asset;
import com.day.cq.dam.api.Rendition;
import com.day.cq.dam.api.metadata.ExtractedMetadata;
import com.day.cq.dam.commons.handler.AbstractAssetHandler;
import com.day.cq.dam.handler.standard.msoffice.wmf.WmfDecoder;
import com.day.image.Layer;
import org.apache.commons.io.IOUtils;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Service;
import org.apache.poi.hpsf.Thumbnail;
import org.apache.poi.poifs.eventfilesystem.POIFSReader;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.Toolkit;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.io.InputStream;

import static org.apache.poi.hpsf.Thumbnail.CFTAG_MACINTOSH;
import static org.apache.poi.hpsf.Thumbnail.CFTAG_WINDOWS;


/**
 * Generic MS Office metadata handler service
 * */
@Component(inherit = true, metatype = false)
@Service
public class MSOfficeHandler extends AbstractAssetHandler {

    private static final Logger log = LoggerFactory.getLogger(MSOfficeHandler.class);

    public static final String MIMETYPE_MSWORD = "application/msword";
    public static final String MIMETYPE_MSEXCEL = "application/msexcel";
    public static final String[] MIMETYPES_SUPPORTED = new String[] {
            MIMETYPE_MSWORD,
            MIMETYPE_MSEXCEL};

    public ExtractedMetadata extractMetadata(Asset asset) {
		return null;
	}

    @Override
    public BufferedImage getImage(final Rendition rendition) throws IOException {
		return null;
	}

    @Override
    public BufferedImage getImage(final Rendition rendition, Dimension dim) throws IOException {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public String[] getMimeTypes() {
		return null;
	}

    /* ---------------- all private methods ---------------- */

    private BufferedImage getWindowsImage(final Thumbnail thumbnail, Dimension dim) throws Exception {
		return null;
	}

    private BufferedImage getMacintoshImage(Thumbnail thumbnail, Dimension dim) throws Exception {
		return null;
	}

}
