/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.dam.usage.api;

import java.util.Date;

import aQute.bnd.annotation.ProviderType;

/**
 * The Interface <code>AssetUsageRecord</code> describes the Asset usage record.
 */
@ProviderType
public interface AssetUsageRecord {

    /**
     * @return the reference type
     */
    String getUsageType() {
		return null;
	}

    /**
     * @return the time at which reference was made
     */
    Date getUsedAt() {
		return null;
	}

}
