/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.day.cq.mcm.campaign.profile;

import java.util.Iterator;

/**
 * <p>Represents the metadata of a Campaign template.</p>
 *
 * <p>This class and all dependent classes (such as {@link MetaDataBlock} or
 * {@link MetaDataInstance} are designed for single-threaded use only. They are not
 * threadsafe.</p>
 */
@Deprecated
public interface CampaignMetaData {

    Iterator<MetaDataBlock> getBlocks() {
		return null;
	}

    Iterator<MetaDataInstance> getDataFor(MetaDataBlock block) {
		return null;
	}

    MetaDataInstance getData(String blockId, String data) {
		return null;
	}

    MetaDataInstance getData(String data) {
		return null;
	}

}
