/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.mcm.landingpage.parser.taghandlers.cta;

import java.util.HashMap;
import java.util.Map;

import javax.jcr.RepositoryException;

import org.apache.commons.lang.StringUtils;
import org.apache.sling.api.resource.ValueMap;
import org.apache.sling.api.wrappers.ValueMapDecorator;
import org.ccil.cowan.tagsoup.AttributesImpl;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.xml.sax.Attributes;

import com.day.cq.commons.DownloadResource;
import com.day.cq.dam.indd.PageComponent;
import com.day.cq.wcm.designimporter.DesignImportException;
import com.day.cq.wcm.designimporter.parser.HTMLContentType;
import com.day.cq.wcm.designimporter.parser.taghandlers.AbstractTagHandler;
import com.day.cq.wcm.designimporter.util.TagUtils;

/**
 * The <code>GraphicalClickThroughComponentTagHandler</code> handles the CTA graphical link component. Maps attribute provided in imported
 * zip to graphical link component and provides accessibility to change or add any additional properties.
 * 
 * @author nidhgupt
 */
public class GraphicalClickThroughComponentTagHandler extends AbstractTagHandler {

    private Logger logger = LoggerFactory.getLogger(GraphicalClickThroughComponentTagHandler.class);

    private Map<String, Object> base = new HashMap<String, Object>();

    private String suffix;

    private String resourceType;

    @Override
    public void beginHandling(String uri, String localName, String qName, Attributes atts) throws DesignImportException {
	}

    @Override
    public void startElement(String uri, String localName, String qName, Attributes atts) throws DesignImportException {
	}

    @Override
    public void characters(char[] ch, int start, int length) throws DesignImportException {
	}

    private String getDesignPath() {
		return null;
	}

    @Override
    public void endHandling(String uri, String localName, String qName) throws DesignImportException {
	}

    @Override
    public boolean supportsContent(HTMLContentType htmlContentType) {
		return false;
	}

    private String getNameHint() {
		return null;
	}

    @Override
    public Object getContent(HTMLContentType htmlContentType) {
		return null;
	}

    public void setResourceType(String resourceType) {
	}
}
