/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.personalization.ui.items;

import aQute.bnd.annotation.ProviderType;

/**
 * Represents an interface used by the UI to format a date. 
 */
@ProviderType
public interface DateFormatter {

    /**
     * Returns a formatted date according to the injected formats.
     * 
     * @return Formatted date
     */
    String getDate() {
		return null;
	}

}
