/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.rewriter.pipeline;

import java.io.IOException;

import org.xml.sax.ContentHandler;

import com.day.cq.rewriter.processor.ProcessingComponentConfiguration;
import com.day.cq.rewriter.processor.ProcessingContext;


/**
 * The <code>Transformer</code> interface defines the middle of a rewriter pipeline.
 * @deprecated Use the Apache Sling Rewriter Module (org.apache.sling.rewriter.Transformer)
 */
@Deprecated
public interface Transformer extends ContentHandler {

    /**
     * Initialize this component.
     * @param context The invocation context.
     * @param config The configuration for this component.
     */
    void init(ProcessingContext context, ProcessingComponentConfiguration config)
    throws IOException {
	}

    /**
     * Set the content handler the transformer should stream to.
     * @param handler Another transformer or a serializer.
     */
    void setContentHandler(ContentHandler handler) {
	}
}
