/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.wcm.api;

import org.apache.sling.api.resource.Resource;

/**
 * The templated resource merges content of a cq:Template node
 */
public interface TemplatedResource extends Resource {

    public static final String TEMPLATED_PAGE_COMPONENT_TYPE = "wcm/foundation/components/templatedpage";

    public static final String PN_EDITABLE = "editable";
    public static final String PN_TEMPLATETYPE = "cq:templateType";

    /**
     * Get the original resource
     * @return the rresource
     */
    public Resource getResource() {
		return null;
	}
}
