/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.widget;

import org.apache.sling.api.resource.Resource;
import org.apache.sling.commons.json.JSONObject;

import javax.jcr.Session;
import java.util.List;

/**
 * The <code>WidgetExtensionProvider</code> ...
 *
 * @deprecated since 6.4
 */
@Deprecated
public interface WidgetExtensionProvider {

    /**
     * Returns all extensions paths of the desired widget as list.
     *
     * @param key extension key
     * @param session session
     *
     * @return list of available extensions
     * @deprecated since 6.4
     */
    @Deprecated
    List<Resource> getExtensions(String key, Session session) {
		return null;
	}

    /**
     * Returns the extension "list" as json object
     *
     * @param key object key
     * @param session jcr session
     * @return json object
     * @deprecated since 6.4
     */
    @Deprecated
    JSONObject getJson(String key, Session session) {
		return null;
	}

    /**
     * Returns the extension "list" as string ready for inclusion
     * @param key object key
     * @param session jcr session
     * @return JSON string
     * @deprecated since 6.4
     */
    @Deprecated
    String getJsonString(String key, Session session) {
		return null;
	}
}
