package com.day.cq.workflow.exec;

import com.day.cq.workflow.WorkflowSession;

/**
 * The <code>JavaProcessExt</code> class ...
 * 
 * @deprecated Use {@link WorkflowProcess} instead
 * 
 * @see WorkflowProcess
 */
public interface JavaProcessExt extends JavaProcess {
    /**
     * Executes a new Java process with the given <code>{@link WorkItem}</code>
     * and <code>{@link com.day.cq.workflow.WorkflowSession}</code>.
     * 
     * @param item
     *            The <code>{@link WorkItem}</code> that defines the newly
     *            started <code>JavaProcess</code>.
     * @param session
     *            The <code>{@link com.day.cq.workflow.WorkflowSession}</code>
     *            that is used for starting the <code>JavaProcess</code>.
     * @param args
     *            Process specific arguments can be passed here
     * @throws Exception
     *             Thrown in case something goes wrong during execution.
     */
    void execute(WorkItem item, WorkflowSession session, String args[]) throws Exception {
	}
}
