/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.workflow.ui;

import com.day.cq.workflow.exec.WorkItem;

/**
 * The <code>JcrPayloadPathBuilder</code> allows to build jcr payload specific paths
 */
public interface JcrPayloadPathBuilder {
    /**
     * The built path is returnedin case the builder is responsible to build
     * otherwise <code>null</code> is returned.
     *
     * @param workItem {@link WorkItem}
     * @return built path or <code>null</code>
     */
    String buildPath(WorkItem workItem) {
		return null;
	}
}
