/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.xss.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyContent;
import javax.servlet.jsp.tagext.BodyTagSupport;

import com.day.cq.xss.ProtectionContext;
import com.day.cq.xss.XSSProtectionService;

/**
 * This class implements a tag that can be used to prevent its body content from containing
 * any XSS stuff.
 * <p>
 * The policy to be used may be specified using the policy attribute.
 * @deprecated
 */
@Deprecated
public class ProtectBody extends BodyTagSupport {

    /**
     * Path to policy file to use; <code>null</code>, if the default policy has to be used
     */
    private String policy;

    /**
     * The protection context to use
     */
    private String context;

    /**
     * Get the path to the policy to be used.
     *
     * @return Path to policy file to use; <code>null</code>, if the default policy has to
     *         be used
     */
    public String getPolicy() {
		return null;
	}

    /**
     * Set the path to the policy to be used.
     *
     * @param policy Path to policy file to use; <code>null</code>, if the default policy
     *               has to be used
     */
    public void setPolicy(String policy) {
	}

    /**
     * Get the protection context.
     *
     * @return Attribute name
     */
    public String getContext() {
		return null;
	}

    /**
     * Set the protection context.
     *
     * @param context The protection context
     */
    public void setContext(String context) {
	}

    protected ProtectionContext getProtectionContext() throws JspException {
		return null;
	}

    /**
     * Executes the XSS removal.
     */
    @Override
    public int doAfterBody() throws JspException {
		return 0;
	}

}
