/*************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2011 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/
package com.day.crx.packaging;

import java.io.IOException;
import java.io.InputStream;

/**
 * <code>TrackingInputStream</code>...
 */
public class TrackingInputStream extends InputStream {

    private final InputStream base;

    private final long length;

    private long count = 0;

    private final ProxyTracker tracker;

    public TrackingInputStream(InputStream base, long length, ProxyTracker tracker) {
        this.base = base;
        this.length = length;
        this.tracker = tracker;
    }

    public int read(byte[] bytes) throws IOException {
		return 0;
	}

    public int read(byte[] bytes, int i, int i1) throws IOException {
		return 0;
	}

    public int read() throws IOException {
		return 0;
	}

    public long skip(long l) throws IOException {
		return 0L;
	}
}