/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jackrabbit.oak.plugins.name;

import java.util.Set;

import org.apache.jackrabbit.oak.api.CommitFailedException;
import org.apache.jackrabbit.oak.api.PropertyState;
import org.apache.jackrabbit.oak.api.Type;
import org.apache.jackrabbit.oak.commons.PathUtils;
import org.apache.jackrabbit.oak.spi.commit.DefaultValidator;
import org.apache.jackrabbit.oak.spi.commit.Validator;
import org.apache.jackrabbit.oak.spi.state.NodeState;

/**
 * TODO document
 */
class NameValidator extends DefaultValidator {

    private final Set<String> prefixes;

    NameValidator(Set<String> prefixes) {
        this.prefixes = prefixes;
    }

    // escape non-printable non-USASCII characters using standard Java escapes
    protected static String getPrintableName(String s) {
		return null;
	}

    protected void checkValidName(String name) throws CommitFailedException {
	}

    protected void checkValidValue(PropertyState property)
            throws CommitFailedException {
			}

    protected void checkValidValue(String value)
            throws CommitFailedException {
			}

    //-------------------------------------------------------< NodeValidator >

    @Override
    public void propertyAdded(PropertyState after)
            throws CommitFailedException {
			}

    @Override
    public void propertyChanged(PropertyState before, PropertyState after)
            throws CommitFailedException {
			}

    @Override
    public void propertyDeleted(PropertyState before) {
	}

    @Override
    public Validator childNodeAdded(String name, NodeState after)
            throws CommitFailedException {
				return null;
			}

    @Override
    public Validator childNodeChanged(
            String name, NodeState before, NodeState after) {
				return null;
			}

    @Override
    public Validator childNodeDeleted(String name, NodeState before) {
		return null;
	}

}
