/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.sling.commons.json.sling;

import java.io.IOException;
import java.io.InputStream;
import java.lang.reflect.Array;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;

import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceUtil;
import org.apache.sling.api.resource.ValueMap;
import org.apache.sling.commons.json.JSONArray;
import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.JSONObject;

/**
 * Creates a JSONObject from a resource
 *
 */
@Deprecated
public abstract class JsonObjectCreator {

    /**
     * Dump given resource in JSON, optionally recursing into its objects
     */
    public static JSONObject create(final Resource resource, final int maxRecursionLevels)
            throws JSONException {
				return null;
			}


    /** Dump given resource in JSON, optionally recursing into its objects */
    private static JSONObject create(final Resource resource,
            final int currentRecursionLevel,
            final int maxRecursionLevels)
    throws JSONException {
		return null;
	}

    /** Used to format date values */
    private static final String ECMA_DATE_FORMAT = "EEE MMM dd yyyy HH:mm:ss 'GMT'Z";

    /** The Locale used to format date values */
    static final Locale DATE_FORMAT_LOCALE = Locale.US;


    private static String format(final Calendar date) {
		return null;
	}

    /** Dump only a value in the correct format */
    private static Object getValue(final Object value) {
		return null;
	}

    /** Dump a single node */
    private static void createSingleResource(final Resource n, final JSONObject parent,
            final int currentRecursionLevel, final int maxRecursionLevels)
            throws JSONException {
			}

    /** true if the current recursion level is active */
    private static boolean recursionLevelActive(final int currentRecursionLevel,
            final int maxRecursionLevels) {
				return false;
			}

    /**
     * Write a single property
     */
    private static void createProperty(final JSONObject obj,
                                 final ValueMap valueMap,
                                 final String key,
                                 final Object value)
    throws JSONException {
	}

    private static long getLength(final ValueMap    valueMap,
                           final int         index,
                           final String      key,
                           final InputStream stream) {
							return 0L;
						}
}
