/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.mobile.dps;

import aQute.bnd.annotation.ProviderType;
import org.apache.sling.commons.json.JSONArray;

/**
 * Domain object representing DPS Collection metadata.
 *
 * @since 6.2
 */
@ProviderType
public interface DPSCollection extends DPSEntity {

    String getProductId() {
		return null;
	}

    String getReadingPosition() {
		return null;
	}

    boolean getEnableHorizontalSwipe() {
		return false;
	}

    boolean getAllowDownload() {
		return false;
	}

    String getOpenDefault() {
		return null;
	}

    String getLayout() {
		return null;
	}

    String getLayoutTitle() {
		return null;
	}

    JSONArray getContentLinks() {
		return null;
	}

    String getBackgroundImagePath() {
		return null;
	}
}
