/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.enablement.resource.model.api;

import java.util.List;
import java.util.Map;

import org.apache.sling.api.resource.PersistenceException;

import com.adobe.cq.social.enablement.exceptions.EnablementException;
import com.adobe.cq.social.scf.SocialComponent;

public interface EnablementAssetsModel extends SocialComponent {

    public static final String RESOURCE_TYPE = "social/enablement/components/hbs/model/resource/assets";

    public static final String ASSETS = "se_assets";
    public static final String PRIMARY_ASSET = "se_primary";
    public static final String LARGE_ASSET = "se_large";
    public static final String SMALL_ASSET = "se_small";
    public static final String CONTENT_FRAGMENT = "se_fragment";

    public EnablementAssetModel getNamedAsset(String key) {
		return null;
	}

    public EnablementAssetModel createNamedAsset(String key, Map<String, Object> valueMap)
        throws PersistenceException, EnablementException {
		return null;
	}

    public List<EnablementAssetModel> getAssets() {
		return null;
	}
}
