/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.enablement.resource.model.api;

import org.apache.sling.api.resource.PersistenceException;

import com.adobe.cq.social.enablement.exceptions.EnablementException;
import com.adobe.cq.social.scf.SocialComponent;

/**
 * @author akeith
 */
public interface EnablementCardImage extends SocialComponent {

    public static final String RESOURCE_TYPE = "social/enablement/components/hbs/model/resource/card-image";

    public static final String CARD_IMAGE_PATH = "se_card-image";
    public static final String COVER_IMAGE_PATH = "cover-image";
    public static final String REL_PATH_IMAGE = "/image";

    /**
     * @param tmpImagePath
     * @throws EnablementException
     */
    void copyTempImage(String tmpImagePath) throws EnablementException, PersistenceException {
	}

    public String getImagePath() {
		return null;
	}

    public void removeImage() throws PersistenceException, EnablementException {
	}

}
