/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.enablement.user.api;

import com.adobe.cq.social.scf.SocialComponent;

public interface EnablementCommunitySimpleUser extends SocialComponent {

    /**
     * Resource type associated with this component.
     */
    String RESOURCE_TYPE = "social/group/components/hbs/CommunityEnablementUser";

    /**
     * returns authorizable Id of this user.
     * @return authorizable ID
     */
    String getAuthorizableId() {
		return null;
	}

    /**
     * returns email Id of this user.
     * @return email ID
     */
    String getEmailId() {
		return null;
	}

}
