/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.notifications.channel;

/**
 * <code>ChannelException</code>...
 */
public class ChannelException extends RuntimeException {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    public ChannelException() {
        super();
    }

    public ChannelException(final String message) {
        super(message);
    }

    public ChannelException(final String message, final Throwable cause) {
        super(message, cause);
    }

    public ChannelException(final Throwable cause) {
        super(cause);
    }
}