/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.srp;

/**
 * A simple wrapper for results from the API calls.
 */
public class APIResult {

    /**
     * Will be true if operation was successful, false otherwise.
     */
    private boolean result;

    /**
     * Set the result field.
     * @param setting - true if the operation succeeded, false otherwise
     */
    public APIResult(final boolean setting) {
        this.result = setting;
    }

    /**
     * Default constructor.
     */
    public APIResult() {
    }

    /**
     * Setter to please CheckStyle.
     * @param setting - the true or false boolean
     */
    public void setResult(final boolean setting) {
	}

    /**
     * Accessor method for this.result.
     * @return boolean
     */
    public boolean getResult() {
		return false;
	}
}
