/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.ugcbase.core.attachments;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

import javax.activation.DataSource;

import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.adobe.cq.social.ugcbase.osgi.BundleServices;
import com.adobe.cq.social.ugcbase.security.AttachmentTypeBlacklistService;

public class AttachmentUtils {
    private AttachmentUtils() {
    }

    /**
     * For logging.
     */
    private static final Logger LOG = LoggerFactory.getLogger(AttachmentUtils.class);

    public static Iterable<DataSource> getAttachmentsFromDataSources(final Iterable<FileDataSource> attachmentList,
        final FileUploadSizeLimit fileUploadSizeLimit, final Set<String> whitelist, final String[] blacklist) {
			return null;
		}

    /**
     * Utility to check file against the specified white list and black list.
     * @param attachmentDataSource Data Source of the attachment
     * @param fileUploadSizeLimit size limits of the file
     * @param whitelist comma separated extensions of allowed file types
     * @param blacklist Black list of harmful files
     * @return attachment Data Source
     */
    public static FileDataSource getAttachmentFromDataSource(final FileDataSource attachmentDataSource,
        final FileUploadSizeLimit fileUploadSizeLimit, final Set<String> whitelist, final String[] blacklistIn) {
			return null;
		}
}
