package com.adobe.cq.targetrecommendations.api.model;

/**
 * Abstraction of a Target Recommendation Template
 */
public interface RecommendationTemplate extends RecommendationsEntity {
    
    /**
     * Uniquely identifies a recommendation template
     * 
     * @return a {@link Integer} value identifying this {@code RecommendationTemplate}
     */
    public int getId() {
		return 0;
	}

    /**
     * Get the name of this {@code RecommendationTemplate}
     * 
     * @return a {@link String} object containing this template's name
     */
    public String getName() {
		return null;
	}
    
    /**
     * Get the actual script content of this template. <br>
     * Must be a valid Velocity script
     * 
     * @return a {@link StringBuilder} containing the template script content
     */
    public String getScript() {
		return null;
	}
}
