package com.adobe.cq.xf.ui;

import aQute.bnd.annotation.ProviderType;

/**
 *  The ExperienceFragmentDatasource adds itself to the request object as a request attribute when used in a HTL script.
 */
@ProviderType
public interface ExperienceFragmentDatasource {
    String FILTER_XF = "xf";
    String FILTER_VARIANT = "variant";
    String FILTER_XF_OR_VARIANT = "xfOrVariant";
    String FILTER_FOLDER_OR_XF = "folderOrXf";
    String FILTER_FOLDER_OR_VARIANT = "folderOrVariant";
    String FILTER_FOLDER_OR_XF_OR_VARIANT = "folderOrXfOrVariant";
}
