/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.taskmanagement;

/**
 * A TaskAction instance represents one of many possible gestures that a user can take
 * on a Task, which then results in the Task being completed.
 *
 */
public interface TaskAction {

		
	/**
     * Gets the action identifier.
     * @return String containing the action Identifier.
     */
	String getActionID() {
		return null;
	}
	/**
     * Sets the action identifier.  Not necessarily a user friendly string.
     * @param actionID String containing the action identifier.
     */
	void setActionID(String actionID) {
	}
}
