/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.workflow;

import com.adobe.granite.workflow.metadata.MetaDataMap;

/**
 * Interface for workflow entities that provide meta data.
 */
public interface HasMetaData {
    /**
     * Provides meta data assigned to the entity, supporting any type.
     * 
     * @return A meta data map.
     * @see MetaDataMap
     */
    MetaDataMap getMetaDataMap() {
		return null;
	}
}
