/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.granite.workflow.exec;

/**
 * Interface which returns information about a workflow participant
 */
public interface Participant {

    /**
     * Returns the ID for the participant
     * @return the participant's ID
     */
    String getID() {
		return null;
	}

    /**
     * Returns the Name for the participant if available to the current user's session, null otherwise
     * @return the participant's name
     */
    String getName() {
		return null;
	}

}
