/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.reef.siren.builder;

import java.util.LinkedList;
import java.util.List;

import com.adobe.reef.siren.Action;
import com.adobe.reef.siren.Field;
import com.adobe.reef.siren.Action.Method;

/**
 * {@code ActionBuilder} is a {@link Builder} implementation for {@link Action}.
 */
public class ActionBuilder extends Builder<Action> {

    private String name;

    private String[] clazz;

    private Method method;

    private String href;

    private String title;

    private String type;

    private List<Field> fields = new LinkedList<Field>();

    public ActionBuilder() {

    }

    public ActionBuilder setName(String name) {
		return null;
	}

    public ActionBuilder setClass(String[] clazz) {
		return null;
	}

    public ActionBuilder setMethod(Method method) {
		return null;
	}

    public ActionBuilder setHref(String href) {
		return null;
	}

    public ActionBuilder setTitle(String title) {
		return null;
	}

    public ActionBuilder setType(String type) {
		return null;
	}

    public ActionBuilder setFields(List<Field> fields) {
		return null;
	}

    public ActionBuilder addField(Field field) {
		return null;
	}

    public ActionBuilder clear() {
		return null;
	}

    protected Action doBuild() throws BuilderException {
		return null;
	}

    protected void validate(Action action) throws BuilderValidationException {
	}

}
