// =================================================================================================
// ADOBE SYSTEMS INCORPORATED
// Copyright 2012 Adobe Systems Incorporated
// All Rights Reserved
//
// NOTICE:  Adobe permits you to use, modify, and distribute this file in accordance with the terms
// of the Adobe license agreement accompanying it.
// =================================================================================================
package com.adobe.xmp.core;



/**
 * This represents qualifiers in the XMP tree. Qualifiers are in effect properties of properties 
 * which can provide additional information about the property value.
 *
 */
public interface XMPQualifiers extends XMPStruct
{
	/**
	 * Gets the qualified node of these qualifiers
	 * @return the host node
	 */
	XMPNode getHost() {
		return null;
	}
}
