/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.commons;

import org.apache.sling.commons.json.io.JSONWriter;
import org.apache.sling.commons.json.JSONException;

 /**
 * Describes an object which can be serialized to json
 */
public interface JSONItem {
     /**
     * Serializes this descriptor to json
     * @param out json writer
     * @throws JSONException if a JSON error occurs
     */
    public void write(JSONWriter out) throws JSONException {
	}
}
