/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.commons.folderpreview;

import org.apache.sling.api.resource.Resource;


/**
 * Returns an iterator over the preview resources for a particular folder.
 */
public interface FolderPreviewResourceManager {

    /**
     * Returns a preview resource for the given folderChild.
     * Returns null if no registered {@link FolderPreviewResourceProvider}s could handle the folder.
     */
    Resource getPreviewResource(Resource folderChild) {
		return null;
	}
}
