/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2017 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ************************************************************************/

package com.day.cq.dam.scene7.api.model;

import javax.annotation.ParametersAreNonnullByDefault;

/**
 * @author Jeff Hutchins
 */
public class Scene7ImageFieldUpdate {

    private final String assetHandle;
    private final double resolution;
    private final int anchorX;
    private final int anchorY;
    private final String userData;

    @ParametersAreNonnullByDefault
    public Scene7ImageFieldUpdate(String assetHandle, double resolution, int anchorX, int anchorY, String userData) {
        this.assetHandle = assetHandle;
        this.resolution = resolution;
        this.anchorX = anchorX;
        this.anchorY = anchorY;
        this.userData = userData;
    }

    public String getAssetHandle() {
		return null;
	}

    public double getResolution() {
		return 0.0d;
	}

    public int getAnchorX() {
		return 0;
	}

    public int getAnchorY() {
		return 0;
	}

    public String getUserData() {
		return null;
	}
}
