/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.mcm.emailprovider.util;

import com.day.cq.commons.inherit.HierarchyNodeInheritanceValueMap;
import com.day.cq.mailer.MessageTemplate;
import com.day.cq.mailer.commons.MailHelper;
import com.day.cq.mcm.api.newsletter.NewsLetter;
import com.day.cq.mcm.core.NewsletterHelper;
import com.day.cq.mcm.emailprovider.impl.types.EmailImpl;
import com.day.cq.mcm.emailprovider.types.Email;
import com.day.cq.wcm.api.Page;
import com.day.cq.wcm.api.PageManager;
import org.apache.commons.lang.StringUtils;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.SlingHttpServletResponse;
import org.apache.sling.api.request.RequestParameterMap;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.auth.core.AuthUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

public class EmailHelper {

    private static final String EXTENSION_HTML = ".html";

    private static final String REDIRECT_PAGE_PARAMETER = ":redirect";

    private static final String CLOUD_CONFIG_PROPERTY_NAME = "cq:cloudserviceconfigs";

    private static final String SCRIPT_START_TAG = "<script";

    private static final String SCRIPT_END_TAG = "</script>";

    private static final String DEFAULT_CQ_NEWSLETTER_NAME = "CQ Newsletter";

    private static final Logger log = LoggerFactory.getLogger(EmailHelper.class);

    public static String[] getConfig(SlingHttpServletRequest request) {
		return null;
	}

    public static void redirectUrl(Boolean isError, SlingHttpServletRequest request, SlingHttpServletResponse response) throws IOException {
	}

    private static String getName(String name, NewsLetter newsletter) {
		return null;
	}

    private static String convertMail(String html) {
		return null;
	}

    private static String getHtml(MessageTemplate template) {
		return null;
	}

    public static Email getEmail(String name, NewsLetter letter) {
		return null;
	}

    public static final String PN_PROVIDER_NAME = "providerName";

    public static final String PN_USERNAME = "username";

    public static final String PN_PASSWORD = "password";

    public static final String PN_ENDPOINT = "endpoint";

    public static final String PN_APIENDPOINT = "apiendpoint";

    public static final String PN_EMAIL = "email";

    public static final String PN_LISTID = "subscriptionlist";

    public static final String PN_AUTORESPONDER_EMAIL = "autoresponderemail";

    public static final String PN_EMAIL_CLASSIFICATION = "emailclassification";

    public static final String PN_ACCOUNTID = "accountId";
}
