/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.day.cq.replication;

/**
 * <code>ReplicationTransaction</code> provides the action, the content and the
 * replication log for a replication transaction (i.e. 1 transportation attempt)
 */
public interface ReplicationTransaction {

    ReplicationAction getAction() {
		return null;
	}

    ReplicationContent getContent() {
		return null;
	}

    ReplicationLog getLog() {
		return null;
	}
}