/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2017 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.wcm.foundation.model;

import com.adobe.cq.export.json.ContainerExporter;
import org.osgi.annotation.versioning.ConsumerType;

import javax.annotation.Nullable;

/**
 * Defines the sling model for the Page component.
 */
@ConsumerType
public interface Page extends ContainerExporter {

    /**
     * @return Returns the title of the page.
     */
    @Nullable
    String getTitle() {
		return null;
	}

    /**
     * @return The type of template used by the page.
     */
    @Nullable
    String getTemplateType() {
		return null;
	}

}
