/**
 * $Id: StreamUtils.java 12345 2004-08-22 04:56:09Z fielding $
 *
 * Copyright 1997-2004 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 *
 * @version $Revision: 1.9 $, $Date: 2004-08-22 06:56:09 +0200 (Sun, 22 Aug 2004) $
 */

/**
 * $Id: StreamUtils.java 12345 2004-08-22 04:56:09Z fielding $
 *
 * Copyright 1997-2004 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 *
 * @version $Revision: 1.9 $, $Date: 2004-08-22 06:56:09 +0200 (Sun, 22 Aug 2004) $
 */

 package com.day.io.file;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Reader;
import java.net.URL;
import java.net.URLConnection;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Utility methods for dealing with Streams.
 * <p>
 * Some of the buffer methods here could be rewritten using the ByteArrayOutputStream - this is a JDK class that
 * does a lot of what we want, in a more optimized way than we currently have.
 */
public class StreamUtils {

    private static final Logger log =
        LoggerFactory.getLogger(StreamUtils.class);

    public static String convertStreamToString(InputStream in) throws IOException {
		return null;
	}

    public static byte[] readBytesFromStream(InputStream in) throws IOException {
		return null;
	}

    public static void pipeInputToOutput(InputStream in, OutputStream out) throws IOException {
	}

    /**
     * @todo This could be faster with buffering - the reason that it's not being used is that adding buffering
     * 		introduces complications - what if 1k is read from one stream, but 2k from the other? This is
     * 		perfectly valid for two identical streams, but makes it harder to check them against each other.
     * 		Until it's used outside test code, there's no point in optimizing it.
     */
    public static boolean areStreamsIdentical(InputStream first, InputStream second) throws IOException {
		return false;
	}

    public static String readStringFromReader(Reader in) throws IOException {
		return null;
	}

    public static String readStringFromReaderDontClose(Reader in) throws IOException {
		return null;
	}


    public static InputStream convertStringToStream(String astring) {
		return null;
	}

    public static byte[] append(byte[] source, byte[] addition, int length) {
		return null;
	}

    public static char[] append(char[] source, char[] addition, int length) {
		return null;
	}

    /**
     * @todo [MINOR] Maybe this should be in a different class?
     */
    public static String loadFromURL(String urlReference) throws IOException {
		return null;
	}
}

