/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.jackrabbit.oak.query.fulltext;

import java.util.ArrayList;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Set;

/**
 * A fulltext "or" condition.
 */
public class FullTextOr extends FullTextExpression {
    
    public final List<FullTextExpression> list;
    
    public FullTextOr(List<FullTextExpression> list) {
        this.list = list;
    }

    @Override
    public boolean evaluate(String value) {
		return false;
	}

    @Override
    public FullTextExpression simplify() {
		return null;
	}
    
    static Set<FullTextExpression> getUniqueSet(
            List<FullTextExpression> list) {
				return null;
			}

    @Override
    public String toString() {
		return null;
	}
    
    @Override
    public int getPrecedence() {
		return 0;
	}
    
    @Override
    public boolean accept(FullTextVisitor v) {
		return false;
	}

}