/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jackrabbit.spi.commons.query.xpath;


/**
 * Implements a JavaCC Node interface.
 * This Class was initially created by JavaCC and then adapted for our needs.
 */
public class SimpleNode implements Node {
    protected Node parent;
    protected Node[] children;
    protected int id;
    protected XPath parser;

    public SimpleNode(int i) {
        id = i;
    }

    public SimpleNode(XPath p, int i) {
        this(i);
        parser = p;
    }

    // Factory method
    public static Node jjtCreate(XPath p, int id) {
		return null;
	}

    public void jjtOpen() {
	}

    public void jjtClose() {
	}

    public void jjtSetParent(Node n) {
	}

    public Node jjtGetParent() {
		return null;
	}

    public void jjtAddChild(Node n, int i) {
	}

    public Node jjtGetChild(int i) {
		return null;
	}

    public int jjtGetNumChildren() {
		return 0;
	}

    /**
     * Accept the visitor. *
     */
    public Object jjtAccept(XPathVisitor visitor, Object data) {
		return null;
	}

    /**
     * Accept the visitor. *
     */
    public Object childrenAccept(XPathVisitor visitor, Object data) {
		return null;
	}

    /* You can override these two methods in subclasses of SimpleNode to
       customize the way the node appears when the tree is dumped.  If
       your output uses more than one line you should override
       toString(String), otherwise overriding toString() is probably all
       you need to do. */

    public String toString() {
		return null;
	}

    public String toString(String prefix) {
		return null;
	}

    public void dump(String prefix) {
	}

    public void dump(String prefix, java.io.PrintStream ps) {
	}


    // Manually inserted code begins here

    protected String m_value;

    public void processToken(Token t) {
	}

    public void printValue(java.io.PrintStream ps) {
	}

    public int getId() {
		return 0;
	}

    public String getValue() {
		return null;
	}

}


