/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.sling.atom.taglib;

import java.util.Date;

import javax.servlet.jsp.JspException;

import org.apache.abdera.model.Entry;

public class EntryTagHandler extends AbstractAbderaHandler {

    private static final long serialVersionUID = 1L;

    private boolean draft;

    private Date edited;

    private String id;

    private Date published;

    private Date updated;

    @Override
    public int doEndTag() throws JspException {
		return 0;
	}

    @Override
    public int doStartTag() throws JspException {
		return 0;
	}

    public boolean isDraft() {
		return false;
	}

    public void setDraft(boolean draft) {
	}

    public Date getEdited() {
		return null;
	}

    public void setEdited(Date edited) {
	}

    public String getId() {
		return null;
	}

    public void setId(String id) {
	}

    public Date getPublished() {
		return null;
	}

    public void setPublished(Date published) {
	}

    public Date getUpdated() {
		return null;
	}

    public void setUpdated(Date updated) {
	}

}
